Warning: Can't synchronize with repository "(default)" (Unsupported version control system "svn": No module named svn). Look in the Trac log for more information.

Changes between Version 4 and Version 5 of ModPythonIntegration09


Ignore:
Timestamp:
02/08/06 15:36:23 (13 years ago)
Author:
anonymous
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • ModPythonIntegration09

    v4 v5  
    1 = Turbogears 0.9-prerelease (using !CherryPy 2.2.0-beta) mod_python integration = 
     1= Turbogears 0.9-prerelease mod_python integration = 
    22 
    3 The SVN version of TG uses cherrypy-2.2.0-beta which, AFAIK, is not compatible with teh mpcp script described at the other modpy integration page. 
     3The SVN version of TG uses cherrypy-2.2.0-beta which, AFAIK, is not compatible with the mpcp script described at the other modpy integration page. 
    44 
    55I've managed to get it running using Robert Brewer's '''modpython_gateway.py'''. It has been tested on a Debian Sarge box, Apache 2.0.54 and a backported libapache2-mod-python2.4 package from Ubuntu (the package didn't install cleanly and some black drudgery had to be done to get it working by hand so I will not post it here yet, if there's some demand I might try to build a better backport). However, provided you can run your TG app with python2.3, you should be fine with Sarge's stock modpytyhon2.3. (I'm a big fan of 2.4's syntax sugar so I couldn't resist :)